Subject: bug#59652: closed (Re: bug#59652: 29.0.50; Error trying to delete `P': (error "Package `P' is used by `Q' as dependency, not deleting"))

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 31 Jul 2023 02:30:02 +0000

Your bug report

#59652: 29.0.50; Error trying to delete `P': (error "Package `P' is used by `Q' as dependency, not deleting")

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
59652: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59652
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#59652: 29.0.50; Error trying to delete `P': (error "Package `P' is used by `Q' as dependency, not deleting")
From: Michael Heerdegen <[email-masked]>
To: [email-masked]
Date: Mon, 31 Jul 2023 04:29:19 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Michael Heerdegen <[email-masked]> writes:

> Since around approx. 10 or 20 days, whenever I do U in M-x
> package-list-packages [...] I often get errors like
>
> | Error trying to delete `magit-section-20220929.1014': (error
> | "Package `magit-section-20220929.1014' is used by `magit' as
> | dependency, not deleting")
> | Error trying to delete `with-editor-20220810.1159': (error "Package
> | `with-editor-20220810.1159' is used by `git-commit' as dependency,
> | not deleting")

Dunno why but the problem is completely gone for me since quite a while
now (several weeks).  And nobody else seems to have seen this issue.

So I'm closing this for now.  When somebody (including me) is seeing
this again we can reopen.

Michael.

Subject: 29.0.50; Error trying to delete `P': (error "Package `P' is used by `Q' as dependency, not deleting")
From: Michael Heerdegen <[email-masked]>
To: [email-masked]
Date: Mon, 28 Nov 2022 11:16:53 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

since around approx. 10 or 20 days, whenever I do U in M-x
package-list-packages (and I did not change anything in my setup) I
often get errors like

| Error trying to delete `magit-section-20220929.1014': (error "Package `magit-section-20220929.1014' is used by `magit' as dependency, not deleting")
| Error trying to delete `with-editor-20220810.1159': (error "Package `with-editor-20220810.1159' is used by `git-commit' as dependency, not deleting")

Real errors.  I only do U and x.

These errors seem to leave the packages in an inconsistent state.  This
time it had been very bad: the emacs instance where I worked was not
usable any more, any input was ignored or caused strange errors, no
window seemed to be selected any more (only hollow cursors).

Other instances did not start any more because my init file depended on
something obviously not installed any more.  M-x
package-list-packages started but I did not know what was missing so I
had to restore ~/.emacs.d/elpa/ from a backup.

BTW, while checking for existing bugs about this problem I got

| soap-invoke-internal: SOAP error: "soap:Server", "can't get http://localhost:1978/node/bts/search: 500 Can't connect to localhost:1978 at /usr/share/perl5/Debbugs/SOAP.pm line 444.

when trying to use debbugs-gnu-search.

TIA,

Michael.